<template>
  <v-card>
    <v-card-title>Governance</v-card-title>
     <v-card-text>
       <v-row align="center">
         <v-col
           class="d-flex"
           md="3"
           sm="12"
         >
           <v-text-field
             label="DAO Name"
             v-model="name"
           ></v-text-field>
         </v-col>
         <v-col
           class="d-flex"
           md="2"
           sm="12"
         >
           <v-select
             :items="items"
             label="Governance type"
           ></v-select>
         </v-col>
         <v-col
           md="5"
           sm="12"
           >
           <v-text-field
             label="Governor address"
             v-model="address"
           ></v-text-field>
         </v-col>
         <v-col md="2" sm="12">
           <v-btn @click="register" color="primary">
             Register
           </v-btn>
         </v-col>
       </v-row>
     </v-card-text>
  </v-card>
</template>

<script>
export default {
  name: "Registration",
  data: () => ({
    items: ["OPENZEPPELINGOVERNOR"],
    name: null,
    address: null
  }),
  created() {
    this.name = this.$store.state.governor.name;
    this.address = this.$store.state.governor.address;
  },
  methods: {
    register() {
      this.$store.commit("setGovernor", { name: this.name, address: this.address });
    }
  }
}
</script>
